Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class CheckTransactionResult

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.CheckTransactionResult

public class CheckTransactionResult extends GenericResult

Java class for CheckTransactionResult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CheckTransactionResult">
       <complexContent>
         <extension base="{http://uws.provider.com/}GenericResult">
           <sequence>
             <element name="providerTrnId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="transactionState" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="transactionStateErrorStatus" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="transactionStateErrorMsg" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `providerTrnId`
  `protected int`
  `transactionState`
  `protected String`
  `transactionStateErrorMsg`
  `protected int`
  `transactionStateErrorStatus`

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `errorMsg, status, timeStamp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckTransactionResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getProviderTrnId()`
  Gets the value of the providerTrnId property.
  `int`
  `getTransactionState()`
  Gets the value of the transactionState property.
  `String`
  `getTransactionStateErrorMsg()`
  Gets the value of the transactionStateErrorMsg property.
  `int`
  `getTransactionStateErrorStatus()`
  Gets the value of the transactionStateErrorStatus property.
  `void`
  `setProviderTrnId(long value)`
  Sets the value of the providerTrnId property.
  `void`
  `setTransactionState(int value)`
  Sets the value of the transactionState property.
  `void`
  `setTransactionStateErrorMsg(String value)`
  Sets the value of the transactionStateErrorMsg property.
  `void`
  `setTransactionStateErrorStatus(int value)`
  Sets the value of the transactionStateErrorStatus property.

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `getErrorMsg, getStatus, getTimeStamp, setErrorMsg, setStatus, setTimeStamp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### providerTrnId

    protected long providerTrnId

  - ### transactionState

    protected int transactionState

  - ### transactionStateErrorStatus

    protected int transactionStateErrorStatus

  - ### transactionStateErrorMsg

    protected String transactionStateErrorMsg

- ## Constructor Details

  - ### CheckTransactionResult

    public CheckTransactionResult()

- ## Method Details

  - ### getProviderTrnId

    public long getProviderTrnId()
    Gets the value of the providerTrnId property.

  - ### setProviderTrnId

    public void setProviderTrnId(long value)
    Sets the value of the providerTrnId property.

  - ### getTransactionState

    public int getTransactionState()
    Gets the value of the transactionState property.

  - ### setTransactionState

    public void setTransactionState(int value)
    Sets the value of the transactionState property.

  - ### getTransactionStateErrorStatus

    public int getTransactionStateErrorStatus()
    Gets the value of the transactionStateErrorStatus property.

  - ### setTransactionStateErrorStatus

    public void setTransactionStateErrorStatus(int value)
    Sets the value of the transactionStateErrorStatus property.

  - ### getTransactionStateErrorMsg

    public String getTransactionStateErrorMsg()
    Gets the value of the transactionStateErrorMsg property.
    Returns:
      possible object is `String`

  - ### setTransactionStateErrorMsg

    public void setTransactionStateErrorMsg(String value)
    Sets the value of the transactionStateErrorMsg property.
    Parameters:
      `value` - allowed object is `String`